Subject: Re: feature request: excluding files/paths from "git grep"

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Feb 2015 11:01:22 -0800

Jeff King <[email-masked]> writes:

> So I think _if_ using "diff" attributes is enough for this purpose, then
> there is no code to be written.  But if somebody wants to draw a
> distinction between the uses (I want to diff "foo" files, but never see
> them in grep) then we could introduce a "grep" attribute (with the
> fallback being the value of the "diff" attribute for that path).

That is all true.

If we were to have a new 'grep' attribute that can be used to
express 'It is OK to diff two versions of this path, but hits by
grep in this path is useless' (and verse versa), the built-in macro
attribute 'binary' should also be updated with it.  A path being
'binary' currently means '-diff -merge -text' but it should also
mean '-grep' in the new world, if we were to go in that direction.

Thanks.